Function
arrayConstruct
Construct objects in a given memory buffer.
arrayConstruct(begin, end [, value])
Include Headers
seqan/basic.h
Parameters

begin | Iterator to the begin of the range that is to be constructed.
end | Iterator behind the end of the range.
value | Argument that is forwarded to the constructor. (optional) An appropriate constructor is required. If value is not specified, the default constructor is used.

Remarks
The type of the constructed Objects is the value type of begin and end.
Example Programs
Allocators
See Also
SimpleType, arrayFill, arrayConstructCopy, valueConstruct, allocate, arrayDestruct
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46